import request from '@/utils/request'

// 查询留言反馈列表
export function listLEAVEMESSAGE(query) {
  return request({
    url: '/portal/LEAVEMESSAGE/list\n',
    method: 'get',
    params: query
  })
}

// 查询留言反馈所有列表
export function listAllLEAVEMESSAGE(query) {
  return request({
    url: '/portal/LEAVEMESSAGE/listAll',
    method: 'get',
    params: query
  })
}

// 查询留言反馈详细
export function getLEAVEMESSAGE(id) {
  return request({
    url: '/portal/LEAVEMESSAGE/getInfo/' + id,
    method: 'get'
  })
}

// 新增留言反馈
export function addLEAVEMESSAGE(data) {
  return request({
    url: '/portal/LEAVEMESSAGE/add',
    method: 'post',
    data: data
  })
}

// 修改留言反馈
export function updateLEAVEMESSAGE(data) {
  return request({
    url: '/portal/LEAVEMESSAGE/edit',
    method: 'post',
    data: data
  })
}

// 删除留言反馈
export function delLEAVEMESSAGE(id) {
  return request({
    url: '/portal/LEAVEMESSAGE/remove/' + id,
    method: 'get'
  })
}
